Subject: bug#76439: [PATCH] Specify 'tab-bar-history-mode' in 'winner-mode' docstring

From: Visuwesh <[email-masked]>
Date: Fri, 21 Feb 2025 08:21:14 +0530

[வியாழன் பிப்ரவரி 20, 2025] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: Juri Linkov <[email-masked]>,  [email-masked]
>> Date: Thu, 20 Feb 2025 23:11:21 +0530
>> 
>> [வியாழன் பிப்ரவரி 20, 2025] Eli Zaretskii wrote:
>> 
>> >> > In any case, if tab-bar-history-mode is better suited to winner, then
>> >> > the reference you want to add should at least hint on why it is better
>> >> > suited.
>> >> 
>> >> How about the attached?
>> >
>> > Much better, thanks.
>> >
>> > Perhaps also make some similar change in the doc string of
>> > tab-bar-mode?
>> 
>> Would
>> 
>>     Use `tab-bar-history-mode' instead of `winner-mode' to obtain
>>     tab-specific window configuration history.
>> 
>> be fine?
>
> I thought of something like
>
>   If you intend to use `tab-bar-mode' with `winner-mode', we recommend
>   to use `tab-bar-history-mode' instead, which can replace both.
>
> (assuming I understood what you wanted to say).

The "can replace both" is a bit confusing as I am not sure what the
second item in "both" refers to.  What about

    If you indent to use `tab-bar-mode' with `winner-mode', we recommend
    to use `tab-bar-history-mode' instead which provides tab-specific
    window configuration history and is better behaved when
    `tab-bar-mode' is turned on.

?